package types

import (
	"context"

	"wartank/server/serv_bots/warbot/angar/battle/battle_worker/battleon/shot/isshot"
)

/*
	Интерфейс к сражению
*/

// IBattleOn -- интерфейс к непосредственному сражению
type IBattleOn interface {
	ISection
	// Net -- возвращает сетевой компонент сражения
	Net() ISectionNet
	// SetNeedManevr -- устанавливает признак необходимости манёвра
	SetNeedManevr()
	// Masking -- признак запрета на стрельбу
	Masking() *isshot.IsShot
	// Ctx -- возвращает контекст битвы
	Ctx() context.Context
	// CancelBattle -- вызывает контекст отмены битвы
	CancelBattle()
}
